/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos

enum class Difficulty {
    PEACEFUL,
    EASY,
    NORMAL,
    HARD
}

data class DifficultySettings(val difficulty: Difficulty, val locked: Boolean)
