/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.entity

import space.uranos.Position
import space.uranos.Vector

abstract class ObjectEntity : Entity(), Mobile {
    abstract override var position: Position

    final override var velocity: Vector = Vector.ZERO
}
