/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.entity

import space.uranos.CardinalDirection
import space.uranos.world.VoxelLocation

class PaintingEntity(
  val topLeftLocation: VoxelLocation,
  val direction: CardinalDirection,
  val motive: PaintingMotive
) : Entity() {
  override val type: EntityType = Type



  companion object Type : PaintingEntityType()
}
