/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.event

import space.uranos.Uranos

open class EventHandlerPosition: Comparable<EventHandlerPosition> {
    override fun compareTo(other: EventHandlerPosition): Int =
        Uranos.eventHandlerPositions.positionOf(this) - Uranos.eventHandlerPositions.positionOf(other)

    object FIRST: EventHandlerPosition()
    object NORMAL: EventHandlerPosition()
    object LAST: EventHandlerPosition()
}
