/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.server.event

import space.uranos.event.Cancellable
import space.uranos.net.Session

class SessionInitializedEvent(val session: Session) : ServerEvent(), Cancellable {
    override var cancelled: Boolean = false
}
