/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.util

import kotlinx.coroutines.asCoroutineDispatcher
import java.util.concurrent.Executors

fun newSingleThreadDispatcher(name: String) =
    Executors.newSingleThreadExecutor { r -> Thread(r, name) }.asCoroutineDispatcher()
