/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.world.block

data class DaylightDetectorBlock(
    @Attribute
    val inverted: Boolean = false,
    @Attribute(15)
    val power: Int
) : Block() {
    companion object : Material<DaylightDetectorBlock> by material(
        333,
        "minecraft:daylight_detector",
        6698,
        0.2f,
        true,
        0,
        0,
        BLOCK_COLLISION_SHAPES[60]
    )
}
