/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.OutgoingPacketCodec

object OutgoingKeepAlivePacketCodec :
    OutgoingPacketCodec<OutgoingKeepAlivePacket>(0x1F, OutgoingKeepAlivePacket::class) {
    override fun OutgoingKeepAlivePacket.encode(dst: ByteBuf) {
        dst.writeLong(id)
    }
}
