/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.status

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.IncomingPacketCodec

object RequestPacketCodec : IncomingPacketCodec<RequestPacket>(0x00, RequestPacket::class) {
    override fun decode(msg: ByteBuf): RequestPacket = RequestPacket()
}
