/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket
import space.uranos.world.Chunk
import space.uranos.world.ChunkData

// TODO: Implement block entities and full chunk = false
/**
 * Sent to inform the player about blocks and biomes in a chunk.
 */
data class ChunkDataPacket(val key: Chunk.Key, val data: ChunkData) : OutgoingPacket()
