/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.status

import space.uranos.net.packet.IncomingPacket

/**
 * Sent by the client to request general information about the server.
 *
 * The server responds with a [ResponsePacket].
 *
 * @see [space.uranos.net.event.ServerListInfoRequestEvent]
 */
class RequestPacket : IncomingPacket()
