/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.testplugin.anvil

import space.uranos.world.Chunk
import space.uranos.world.block.AirBlock
import space.uranos.world.block.Block

class AnvilChunkSection {
    val blocks: Array<Block> = Array(Chunk.BLOCKS_IN_A_SECTION) { AirBlock }
    val blockLightValues: UByteArray = UByteArray(Chunk.BLOCKS_IN_A_SECTION / 2) { 0xFF.toUByte() }
    val skyLightValues: UByteArray = UByteArray(Chunk.BLOCKS_IN_A_SECTION / 2) { 0xFF.toUByte() }
}
