/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.entity

import space.uranos.Location
import java.util.*
import kotlin.reflect.KClass

abstract class Entity internal constructor() {
    val uuid: UUID = UUID.randomUUID()

    abstract val type: EntityType
    val globallyUniqueNumericID: Int = 0 // TODO: Get a real value
}
