/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet

sealed class Packet {
    override fun toString(): String = this::class.java.simpleName + "(no data)"
}

abstract class IncomingPacket : Packet()
abstract class OutgoingPacket : Packet()
