/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.util

infix fun Int.untilPossiblyNegative(other: Int) =
    IntProgression.fromClosedRange(this, other, if (this > other) -1 else 1)
