/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.world

import space.uranos.RegistryItem

data class Dimension(
    override val id: String,
    val compassesSpinRandomly: Boolean,
    val ambientLight: Float,
    val hasSkylight: Boolean
): RegistryItem
