/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object DeclareCommandsPacketCodec :
    OutgoingPacketCodec<DeclareCommandsPacket>(0x10, DeclareCommandsPacket::class) {
    override fun DeclareCommandsPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(0)
    }
}
