/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.IncomingPacketCodec

object IncomingKeepAlivePacketCodec :
    IncomingPacketCodec<IncomingKeepAlivePacket>(0x10, IncomingKeepAlivePacket::class) {
    override fun decode(msg: ByteBuf): IncomingKeepAlivePacket = IncomingKeepAlivePacket(msg.readLong())
}
