/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.OutgoingPacketCodec

object SetSelectedHotbarSlotPacketCodec :
    OutgoingPacketCodec<SetSelectedHotbarSlotPacket>(0x3F, SetSelectedHotbarSlotPacket::class) {
    override fun SetSelectedHotbarSlotPacket.encode(dst: ByteBuf) {
        dst.writeByte(index)
    }
}
