/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.util

import java.security.MessageDigest

fun sha256(bytes: ByteArray): ByteArray = MessageDigest.getInstance("SHA-256").run { digest(bytes) }
