/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server when the connection is closed.
 *
 * @param reason The reason displayed to the client.
 */
data class DisconnectPacket(val reason: space.uranos.chat.TextComponent) : OutgoingPacket()
