/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket
import space.uranos.world.Chunk

/**
 * The reason why this packet exists and what it does is not clear at the moment of writing.
 * It it sent every time the player crosses a chunk or chunk section border.
 */
data class UpdateViewPositionPacket(val chunkKey: Chunk.Key) : OutgoingPacket()
