/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.login

import space.uranos.net.ProtocolPacketReceivedEventHandler

// NOTE: PacketReceivedEventHandler.of<T> MUST have T specified correctly, otherwise the code breaks at runtime
object LoginProtocolHandler : ProtocolPacketReceivedEventHandler(
    mapOf(
        LoginStartPacket::class to LoginStartPacketHandler,
        EncryptionResponsePacket::class to EncryptionResponsePacketHandler
    )
)
