/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.ProtocolPacketReceivedEventHandler

// NOTE: PacketReceivedEventHandler.of<T> MUST have T specified correctly, otherwise the code breaks at runtime
object PlayProtocolHandler : ProtocolPacketReceivedEventHandler(
    mapOf(
        ClientSettingsPacket::class to ClientSettingsPacketHandler,
        IncomingPluginMessagePacket::class to IncomingPluginMessagePacketHandler,
        IncomingKeepAlivePacket::class to IncomingKeepAlivePacketHandler
    )
)
